<?php

namespace Drupal\dpxu\Plugin\views\field;

use Drupal\views\Plugin\views\field\FieldPluginBase;
use Drupal\views\ResultRow;

/**
 * Field handler for reason why the user contacted manager.
 *
 * @ingroup views_field_handlers
 *
 * @ViewsField("dpxu_user_message_reason")
 */
class ProxyUserMessageReason extends FieldPluginBase {

  /**
   * {@inheritdoc}
   */
  public function render(ResultRow $values) {
    $user = $values->_entity;
    $value = \Drupal::service('dpxu.user_tools')->readContactReasonFromTempStore($user->id());
    return $this->sanitizeValue($value);
  }

}
